# APR

1. Determine the **number of periods per year** based on the given duration\
   We are using 1d duration, so there will be 365 periods per year <br>
2. Calculate the **total value locked (TVL)** by multiplying the market cap of ETH by the percentage of the market cap that is actively providing liquidity:\ <mark style="color:yellow;">TVL = MarketCapEth\* pctOfMarketCapThatlsActively ProvidingLiquidity</mark>\
   \ <mark style="color:purple;">\*Assumption used:</mark>\ <mark style="color:purple;">pctOfMarketCapThatlsActivelyProvidingLiquidity = 0.05</mark><br>
3. Calculate the **accrual per period** by multiplying the volume in ETH by the collection XYZ share and the fee on trade volume: <mark style="color:yellow;">accrualPerPeriod = VolumeEth \* collectionXYZShare \* feeOnTradeVolume</mark> \
   \ <mark style="color:purple;">\*Assumption used:</mark> \ <mark style="color:purple;">collectionXYZShare = 0.2</mark> \ <mark style="color:purple;">feeOnTradeVolume = 0.05</mark><br>
4. Calculate the **accrual per year** by multiplying the accrual per period by the number of periods per year\ <mark style="color:yellow;">accrualPerYear = accrualPerPeriod \* amountOfPeriodsPerYear</mark><br>
5. Finally, calculate the **APR** by dividing the accrual per year by the TVL\ <mark style="color:yellow;">APR = accrual PerYear / TVL</mark>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.collection.xyz/guides/collection-concepts/apr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
